dbXML API

## com.dbxml.xml.dtsm
Class TableGenerator

    java.lang.Object
      com.dbxml.xml.dtsm.TableGenerator

Direct Known Subclasses:
  DOMTableGenerator, SAXTableGenerator

public abstract class TableGenerator
extends java.lang.Object

TableGenerator

Constructor Summary
`TableGenerator()`

Method Summary
`java.lang.Object` `getProperty(java.lang.String name)` getProperty returns a named property value for this TableGenerator.
`SymbolTable` `getSymbolTable()` getSymbolTable returns the SymbolTable that is associated with this TableGenerator.
`abstract DocumentTable` `process()` process effectively kicks off the generation process and when complete, returns the new DocumentTable instance.
`void` `setProperty(java.lang.String name, java.lang.Object value)` setProperty sets a named property value for this TableGenerator.
`void` `setSymbolTable(SymbolTable symbols)` setSymbolTable sets the SymbolTable that will be associated with this TableGenerator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableGenerator

    public TableGenerator()

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  setProperty sets a named property value for this TableGenerator.

  Parameters:
    `name` - the property name
    `value` - the property value

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  getProperty returns a named property value for this TableGenerator.

  Parameters:
    `name` - the property name
  Returns:
    the property value

### getSymbolTable

    public SymbolTable getSymbolTable()

  getSymbolTable returns the SymbolTable that is associated with this TableGenerator.

  Returns:
    the SymbolTable

### setSymbolTable

    public void setSymbolTable(SymbolTable symbols)

  setSymbolTable sets the SymbolTable that will be associated with this TableGenerator.

  Parameters:
    `symbols` - the SymbolTable

### process

    public abstract DocumentTable process()
                                   throws DTSMException

  process effectively kicks off the generation process and when complete, returns the new DocumentTable instance.

  Returns:
    The DocumentTable
  Throws:
    `DTSMException`

dbXML API

Copyright (c) 2004 The dbXML Group